global:
  profile: stage
  release:
    version: "2025.09.2"
    channel: stable
    manifestSha256: "dc3c8fe1ab83941c838ccc5a8a5862f7ddfa38c2078e580b5649db26554565b7"
  image:
    pullPolicy: IfNotPresent
  labels:
    stellaops.io/channel: stable
services:
  authority:
    image: registry.stella-ops.org/stellaops/authority@sha256:b0348bad1d0b401cc3c71cb40ba034c8043b6c8874546f90d4783c9dbfcc0bf5
    service:
      port: 8440
    env:
      STELLAOPS_AUTHORITY__ISSUER: "https://stellaops-authority:8440"
      STELLAOPS_AUTHORITY__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
      STELLAOPS_AUTHORITY__PLUGINDIRECTORIES__0: "/app/plugins"
      STELLAOPS_AUTHORITY__PLUGINS__CONFIGURATIONDIRECTORY: "/app/etc/authority.plugins"
  signer:
    image: registry.stella-ops.org/stellaops/signer@sha256:8ad574e61f3a9e9bda8a58eb2700ae46813284e35a150b1137bc7c2b92ac0f2e
    service:
      port: 8441
    env:
      SIGNER__AUTHORITY__BASEURL: "https://stellaops-authority:8440"
      SIGNER__POE__INTROSPECTURL: "https://licensing.stage.stella-ops.internal/introspect"
      SIGNER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
  attestor:
    image: registry.stella-ops.org/stellaops/attestor@sha256:0534985f978b0b5d220d73c96fddd962cd9135f616811cbe3bff4666c5af568f
    service:
      port: 8442
    env:
      ATTESTOR__SIGNER__BASEURL: "https://stellaops-signer:8441"
      ATTESTOR__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
  concelier:
    image: registry.stella-ops.org/stellaops/concelier@sha256:c58cdcaee1d266d68d498e41110a589dd204b487d37381096bd61ab345a867c5
    service:
      port: 8445
    env:
      CONCELIER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
      CONCELIER__STORAGE__S3__ENDPOINT: "http://stellaops-minio:9000"
      CONCELIER__STORAGE__S3__ACCESSKEYID: "stellaops-stage"
      CONCELIER__STORAGE__S3__SECRETACCESSKEY: "stage-minio-secret"
      CONCELIER__AUTHORITY__BASEURL: "https://stellaops-authority:8440"
    volumeMounts:
      - name: concelier-jobs
        mountPath: /var/lib/concelier/jobs
    volumeClaims:
      - name: concelier-jobs
        claimName: stellaops-concelier-jobs
  scanner-web:
    image: registry.stella-ops.org/stellaops/scanner-web@sha256:14b23448c3f9586a9156370b3e8c1991b61907efa666ca37dd3aaed1e79fe3b7
    service:
      port: 8444
    env:
      SCANNER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
      SCANNER__STORAGE__S3__ENDPOINT: "http://stellaops-minio:9000"
      SCANNER__STORAGE__S3__ACCESSKEYID: "stellaops-stage"
      SCANNER__STORAGE__S3__SECRETACCESSKEY: "stage-minio-secret"
      SCANNER__QUEUE__BROKER: "nats://stellaops-nats:4222"
  scanner-worker:
    image: registry.stella-ops.org/stellaops/scanner-worker@sha256:32e25e76386eb9ea8bee0a1ad546775db9a2df989fab61ac877e351881960dab
    replicas: 2
    env:
      SCANNER__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
      SCANNER__STORAGE__S3__ENDPOINT: "http://stellaops-minio:9000"
      SCANNER__STORAGE__S3__ACCESSKEYID: "stellaops-stage"
      SCANNER__STORAGE__S3__SECRETACCESSKEY: "stage-minio-secret"
      SCANNER__QUEUE__BROKER: "nats://stellaops-nats:4222"
  excititor:
    image: registry.stella-ops.org/stellaops/excititor@sha256:59022e2016aebcef5c856d163ae705755d3f81949d41195256e935ef40a627fa
    env:
      EXCITITOR__CONCELIER__BASEURL: "https://stellaops-concelier:8445"
      EXCITITOR__STORAGE__MONGO__CONNECTIONSTRING: "mongodb://stellaops-stage:stellaops-stage@stellaops-mongo:27017"
  web-ui:
    image: registry.stella-ops.org/stellaops/web-ui@sha256:10d924808c48e4353e3a241da62eb7aefe727a1d6dc830eb23a8e181013b3a23
    service:
      port: 8443
    env:
      STELLAOPS_UI__BACKEND__BASEURL: "https://stellaops-scanner-web:8444"
  mongo:
    class: infrastructure
    image: docker.io/library/mongo@sha256:c258b26dbb7774f97f52aff52231ca5f228273a84329c5f5e451c3739457db49
    service:
      port: 27017
    command:
      - mongod
      - --bind_ip_all
    env:
      MONGO_INITDB_ROOT_USERNAME: stellaops-stage
      MONGO_INITDB_ROOT_PASSWORD: stellaops-stage
    volumeMounts:
      - name: mongo-data
        mountPath: /data/db
    volumeClaims:
      - name: mongo-data
        claimName: stellaops-mongo-data
  minio:
    class: infrastructure
    image: docker.io/minio/minio@sha256:14cea493d9a34af32f524e538b8346cf79f3321eff8e708c1e2960462bd8936e
    service:
      port: 9000
    command:
      - server
      - /data
      - --console-address
      - :9001
    env:
      MINIO_ROOT_USER: stellaops-stage
      MINIO_ROOT_PASSWORD: stage-minio-secret
    volumeMounts:
      - name: minio-data
        mountPath: /data
    volumeClaims:
      - name: minio-data
        claimName: stellaops-minio-data
  nats:
    class: infrastructure
    image: docker.io/library/nats@sha256:c82559e4476289481a8a5196e675ebfe67eea81d95e5161e3e78eccfe766608e
    service:
      port: 4222
    command:
      - -js
      - -sd
      - /data
    volumeMounts:
      - name: nats-data
        mountPath: /data
    volumeClaims:
      - name: nats-data
        claimName: stellaops-nats-data
